package com.ssj.service.kmt.arrange.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

public class ArrangeTeamTeacherListReq  extends BaseRequest {
	
    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "type", value = "老师类型", required = true)
    @NotBlank
    private String type;
    
    @ApiModelProperty(name = "id", value = "时段id", required = true)
    private String id;
    
    @ApiModelProperty(name = "teacherName", value = "老师名称，模糊查询", required = true)
    private String teacherName;
    
    
    @ApiModelProperty(name = "managerId", value = "管理员id", required = true)
    private String managerId;
    
    @ApiModelProperty(name = "pageNo", value = "页码分页用", required = true)
    private Integer pageNo;
    
    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private Integer pageSize;
    

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Integer getPageNo() {
		return pageNo;
	}

	public void setPageNo(Integer pageNo) {
		this.pageNo = pageNo;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public String getManagerId() {
		return managerId;
	}

	public void setManagerId(String managerId) {
		this.managerId = managerId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
   

}
